%global npm_org antora
%global org_subpkg cli
%global fc_name %{npm_org}-%{org_subpkg}

%{?nodejs_find_provides_and_requires}

%global enable_tests 1

# don't require bundled modules
%global __requires_exclude_from ^%{_prefix}/lib/node_modules/@%{npm_org}/%{org_subpkg}/.*$

Name:           nodejs-%{fc_name}
Version:        2.0.0
Release:        2%{?dist}
Summary:        The command line interface for Antora.
License:        MPLv2.0
URL:            https://gitlab.com/antora/antora
Source0:        https://registry.npmjs.org/@antora/cli/-/antora-cli-%{version}.tgz
Source1:        antora-cli-tarball.sh
Source10:       LICENSE

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging
BuildRequires:  npm
Requires:       nodejs

%description
The command line interface for Antora.


%prep
%setup -q -n package

cp -p %{SOURCE10} .


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/@%{npm_org}
mkdir -p %{buildroot}%{nodejs_sitelib}/@%{npm_org}/%{org_subpkg}

cp -pr package.json lib bin node_modules \
        %{buildroot}%{nodejs_sitelib}/@%{npm_org}/%{org_subpkg}

mkdir -p %{buildroot}%{_bindir}
ln -sf ../lib/node_modules/%{npm_org}/@%{org_subpkg}/bin/antora %{buildroot}%{_bindir}/antora

#%{nodejs_symlink_deps}


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
if [[ $(%{buildroot}/%{_bindir}/antora --version) == %{version} ]] ; then echo PASS; else echo FAIL; fi
%endif


%files
%{nodejs_sitelib}/@%{npm_org}/%{org_subpkg}
%{_bindir}/antora
%doc README.md
%license LICENSE


%changelog
* Wed Feb 27 2019 zsvetlik@redhat.com - 2.0.0-2
- Add license text

* Tue Feb 05 2019 Zuzana Svetlikova <zsvetlik@redhat.com> - 2.0.0-1
- Initial packaging
